sources / Add Databricks connection

sources

Add Databricks connection

Create a new Databricks SQL warehouse connection using a Personal Access Token and SQL Warehouse HTTP path.

POST /api/v1/sources/add/databricks/

Headers

Authorizationrequired

any - API key authentication using Bearer scheme

Request Body

typerequired

string - Connection type identifier. Must be `DATABRICKS`

account_name

string - Display name for the connection

server_hostnamerequired

string - Workspace hostname (e.g. adb-1234567890.1.azuredatabricks.net)

http_pathrequired

string - SQL Warehouse HTTP path

access_tokenrequired

string - Personal Access Token with permission to query the warehouse

catalog

string - Optional Unity Catalog to use by default

selected_schemas

array - Schemas to index. Accepts either `schema` or `catalog.schema` entries.

Response

id

integer - The ID of the created connection